Skip to main content
POST
/
deliveryNotes
/
{deliveryNoteId}
/
workflow
/
{workflowEventId}
Trigger Delivery Note Workflow
curl --request POST \
  --url https://api.jtl-cloud.com/erp/deliveryNotes/{deliveryNoteId}/workflow/{workflowEventId} \
  --header 'Authorization: Bearer <token>' \
  --header 'x-tenant-id: <x-tenant-id>'
{
  "ErrorCode": "<string>",
  "ValidationErrors": {},
  "Errors": {},
  "ErrorMessage": "<string>",
  "Stacktrace": "<string>"
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Headers

x-tenant-id
string<uuid>
required

The tenant ID for the target ERP instance.

x-runas
string

The User-Id (int or uuid) on whose behalf the request is executed. Requires scope 'Application.RunAs'.

x-companyid
string

The Company-Id (int or uuid) of the company on whose behalf the request is executed.

Path Parameters

workflowEventId
enum<integer>
required

The id of the Event for that the manual workflow event should be started. 1 = Created, 2 = Deleted, 3 = Shipped

Available options:
1,
2,
3
deliveryNoteId
integer<int32>
required

The id of the delivery Note for that the manual workflow event should be started.

Response